### Method

# Gcr Parser get_parsed_block

#### Declaration [src]

    const guchar*
    gcr_parser_get_parsed_block (
      GcrParser* self,
      gsize* n_block
    )

#### Description [src]

Get the raw data block that represents this parsed object. This is only valid during the `GcrParser::parsed` signal.

#### Parameters

`n_block`

  Type: `gsize*`

  A location to place the size of the block.

  The argument will be set by the function.

#### Return value

Type: An array of `guchar`

The raw data block of the currently parsed item; the value is owned by the parser and should not be freed.

The length of the array is in the `n_block` argument.
The data is owned by the instance.
The return value can be `NULL`.